! ############################################################
!            Satellite Data Simulation Unit v2
!                     -  def_file_list -
!
! This suboutine defines the list of input CRM files.
!
 Subroutine def_file_list
!
   Use MAINparameters
   Implicit NONE
!
! Local variables
!
   Integer :: ifile, iargc
!
! The list of files containing snapshots from a GCE-simulated squal line
! that occurred during the GARP Atlantic Tropical Experiment (GATE).
! These files are stored in "CRM/", included in the full SDSU package.
! 
! Redefine this list when the files are replaced by user-provided geophysical
! parameters. 
! 
   nmodel = 4    ; allocate ( CRM_file_list(nmodel) )
!
   CRM_file_list(1) = 'GATS12_GCE01.00180'
   CRM_file_list(2) = 'GATS12_GCE01.00240'
   CRM_file_list(3) = 'GATS12_GCE01.00300'
   CRM_file_list(4) = 'GATS12_GCE01.00360'
!
! / Added for SDSU v2.1.2 /
!
! Define CRM_file_list to be '2BREADIN' if the user wants the input file list
! to be read in from command line arguments rather than specified internally. 
!
!    nmodel = 1  ; CRM_file_list = '2BREADIN'
!
! When this option is activated, provide your file list as
! % sdsu.x FILE1 FILE2 FILE3 ...
! 'nmodel' will be overwritten by the number of the arguments provided.
!
   If ( CRM_file_list(1) == '2BREADIN' ) then
!
      nmodel = iargc()
      Do ifile = 1, nmodel
         Call getarg ( ifile, CRM_file_list(ifile) )
      End Do
!
   End If
!
   Return
 End Subroutine def_file_list
